org.apache.xmlbeans.impl.common

## Class XmlReaderToWriter

- java.lang.Object
- - org.apache.xmlbeans.impl.common.XmlReaderToWriter

    public final class XmlReaderToWriter
    extends Object

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `write(XMLStreamReader xmlr, XMLStreamWriter writer)`
`static void` `writeAll(XMLStreamReader xmlr, XMLStreamWriter writer)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### writeAll

    public static void writeAll(XMLStreamReader xmlr,
                                XMLStreamWriter writer)
                         throws XMLStreamException

Throws:
  `XMLStreamException`

#### write

    public static void write(XMLStreamReader xmlr,
                             XMLStreamWriter writer)
                      throws XMLStreamException

Throws:
  `XMLStreamException`